directories:
  output: dist
  buildResources: build
appId: 'bigemap.bm-server.desktop.${version}'
productName: bm-server
copyright: Copyright © 2014-2019 BIGEMAP
npmArgs:
  - '--enable_sse=false'
  - '--node-shared=true'
files:
  - filter:
      - '!dist'
      - '!**/{.cache,.vscode,vendor,resources,README.md,webpack.config.js,backpack.config.js,gulpfile.js,.eslintrc.json,.compilerc}'
      - '!**/addon/*/{build,deps,src,binding.gyp,test.js}'
      - '!**/addon/**/{*._ini,*.tmd,*.bat,*.bak,*.log,*.lib,*.exp,*.ilk}'
      - '!**/ext/{bigemap-control.js,spectrum.js}'
      - '!**/ext/**/{bigemap.draw-src.css,bigemap.draw-src.js,bigemap.draw-src.map,bigemap_org.css,bigemap-src.js,bigemap-src.js.map,CHANGELOG.md,README.md,LICENSE}'
      - '!**/node_modules/?mapbox/{abaculus,makizushi,mapnik-omnivore,tilelive-bridge}/node_modules/mapnik{,/**/*}'
      - '!**/node_modules/?bigemap/{usb-detection}/{src,doc}'
      - '!**/node_modules/{mapnik,zipfile,mbtiles,gdal,sqlite3}/**/{src,build,build-*,deps,node-pre-gyp,*.exp,*.iobj,*.ipdb,*.lib}'
      - '!**/node_modules/*/{CHANGELOG.md,README.md,README,Readme.md,readme.md,readme,LICENSE.txt,LICENSE,license,mapnik.map}'
      - '!**/node_modules/*/{test,__tests__,tests,powered-test,example,examples,docs,doc}'
      - '!**/*.{iml,o,hprof,orig,pyc,pyo,rbc,swp,csproj,sln,xproj,psd,map,iobj,ipdb,obj,pdb,exp,ilk,lib,tlog,vcxproj,filters}'
      - '!.editorconfig'
      - '!**/._*'
      - '!**/{.DS_Store,.git,.hg,.svn,CVS,RCS,SCCS,.gitignore,.gitmodules,.gitattributes}'
      - '!**/{.dockerignore,docker-build.sh,docker-build.ps1,docker-compose.yml,Dockerfile}'
      - '!**/{__pycache__,thumbs.db,.flowconfig,.idea,.vs,.nyc_output}'
      - '!**/{appveyor.yml,.travis.yml,circle.yml}'
      - '!**/{npm-debug.log,yarn.lock,.yarn-integrity,.yarn-metadata.json}'
electronCompile: false
asar: true
npmRebuild: true
asarUnpack:
  - './addon/**/*.{node,dll}'
  - './node_modules/**/*.{node,dll}'
  - ./ext
  - ./app
win:
  publisherName: 'Chengdu Bigemap Data Processing Co.,Ltd.'
  verifyUpdateCodeSignature: false
  target:
    - nsis
  publish:
    provider: generic
    url: 'http://downloads.bigemap.com/bm-server/${os}/${arch}'
  signingHashAlgorithms:
    - sha256
  certificateSha1: 582609267576D3C21226C7A47D4927FA24D791C9
  timeStampServer: 'http://timestamp.digicert.com'
nsis:
  oneClick: false
  perMachine: true
  allowToChangeInstallationDirectory: true
  artifactName: 'install-${productName}-v${version}-${env.ARCH}.${ext}'
  installerLanguages:
    - zh_CN
    - en_US
    - ja_JP
  language: '2052'
  multiLanguageInstaller: true
  shortcutName: BIGEMAP离线地图服务器
  menuCategory: Bigemap
  createDesktopShortcut: true
linux:
  category: Development
  target:
    - deb
    - rpm
    - AppImage
    - snap
  publish:
    provider: generic
    url: 'http://downloads.bigemap.com/bm-server/${os}/${arch}'
appImage:
  artifactName: '${productName}-v${version}-${arch}.${ext}'
deb:
  artifactName: '${productName}-v${version}-${arch}.${ext}'
  depends:
    - libssl
rpm:
  artifactName: '${productName}-v${version}-${arch}.${ext}'
  depends:
    - openssl
electronVersion: 4.2.12
